package com.lanren.huhu.partner.service;

import com.lanren.huhu.partner.model.MailContentRow;

import java.util.List;

/**
 * @author chen
 * @title: MailReportService
 * @projectName partner
 * @package com.lanren.huhu.partner.service
 * @date 2019-09-26 23:38
 */
public interface MailReportService {
    /**
     * 获取代理商拓展 注册并登录用户
     */
    MailContentRow getRegRow(String dat, Integer agentId, String monthBegin, String monthEnd);

    /**
     * 获取代理商拓展 VIP 超V 数据
     */
    List<MailContentRow> getVipRows(String yesterdayBegin, String yesterdayEnd, Integer agentId, String monthBegin, String monthEnd);

    /**
     * 获取代理商拓展 层级下级代理数据
     */
    List<MailContentRow> getCengjiChildRows(String yesterdayBegin, String yesterdayEnd, Integer agentId, String monthBegin, String monthEnd);

    /**
     * 获取代理商拓展 平推下级代理数据
     */
    MailContentRow getPingtuiChildRow(String dat, Integer agentId, String monthBegin, String monthEnd);

    List<MailContentRow> getsVipRows(String yesterdayBegin, String yesterdayEnd, Integer agentId, String monthBegin, String monthEnd);
}
