package com.lanren.huhu.partner.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lanren.huhu.partner.dao.AgentExpandDailyMapper;
import com.lanren.huhu.partner.domain.AgentExpandDaily;
import com.lanren.huhu.partner.model.MailContentRow;
import com.lanren.huhu.partner.service.AgentExpandDailyService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author chen
 * @title: ${NAME}
 * @projectName partner
 * @description: TODO
 * @package ${PACKAGE_NAME}
 * @date 2019-07-08 16:38
 */
@Service
public class AgentExpandDailyServiceImpl extends ServiceImpl<AgentExpandDailyMapper, AgentExpandDaily> implements AgentExpandDailyService {

    @Override
    public int updateBatch(List<AgentExpandDaily> list) {
        return baseMapper.updateBatch(list);
    }

    @Override
    public int batchInsert(List<AgentExpandDaily> list) {
        return baseMapper.batchInsert(list);
    }

    @Override
    public int insertOrUpdate(AgentExpandDaily record) {
        return baseMapper.insertOrUpdate(record);
    }

    @Override
    public int insertOrUpdateSelective(AgentExpandDaily record) {
        return baseMapper.insertOrUpdateSelective(record);
    }

    @Override
    public int updateByDatByDetail(String datStr) {
        return baseMapper.updateByDatByDetail(datStr);
    }

    @Override
    public int insertByDetail() {
        return baseMapper.insertByDetail();
    }

    @Override
    public Integer getMonthCntByAgent(int agentId, long beginTs, long endTs) {
        return baseMapper.getMonthCntByAgent(agentId, beginTs, endTs);
    }

    @Override
    public MailContentRow getRegRow(String dat, Integer agentId, String monthBegin, String monthEnd) {
        return baseMapper.getRegRow(dat, agentId, monthBegin, monthEnd);
    }

    @Override
    public List<MailContentRow> getVipRows(String yesterdayBegin, String yesterdayEnd, Integer agentId, String monthBegin, String monthEnd) {
        return baseMapper.getVipRows(yesterdayBegin, yesterdayEnd, agentId, monthBegin, monthEnd);
    }
}


