package com.lanren.huhu.partner.service.impl;

import com.lanren.huhu.partner.model.MailContentRow;
import com.lanren.huhu.partner.service.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author chen
 * @title: MailReportServiceImpl
 * @projectName partner
 * @description: TODO
 * @package com.lanren.huhu.partner.service.impl
 * @date 2019-09-26 23:41
 */
@Service
public class MailReportServiceImpl implements MailReportService {

    @Autowired
    AgentExpandDailyService agentExpandDailyService;
    @Autowired
    AgentExpandDetailService agentExpandDetailService;
    @Autowired
    AgentExpandCityAgentDetailService agentExpandCityAgentDetailService;

    @Override
    public MailContentRow getRegRow(String dat, Integer agentId, String monthBegin, String monthEnd) {
        return agentExpandDailyService.getRegRow(dat, agentId, monthBegin, monthEnd);
    }

    @Override
    public List<MailContentRow> getVipRows(String yesterdayBegin, String yesterdayEnd, Integer agentId, String monthBegin, String monthEnd) {
        return agentExpandDailyService.getVipRows(yesterdayBegin, yesterdayEnd, agentId, monthBegin, monthEnd);
    }

    @Override
    public List<MailContentRow> getCengjiChildRows(String yesterdayBegin, String yesterdayEnd, Integer agentId, String monthBegin, String monthEnd) {
        return agentExpandDetailService.getCengjiChildRows(yesterdayBegin, yesterdayEnd, agentId, monthBegin, monthEnd);
    }

    @Override
    public MailContentRow getPingtuiChildRow(String dat, Integer agentId, String monthBegin, String monthEnd) {
        return agentExpandCityAgentDetailService.getPingtuiChildRow(dat, agentId, monthBegin, monthEnd);
    }

    @Override
    public List<MailContentRow> getsVipRows(String yesterdayBegin, String yesterdayEnd, Integer agentId, String monthBegin, String monthEnd) {
        return agentExpandDetailService.getsVipRows(yesterdayBegin, yesterdayEnd, agentId, monthBegin, monthEnd);
    }

}
